PO4A-TRANSLATE(1p)

NOME
po4a-translate - converte un file PO in un documento nel formato originario

SINTASSI
po4a-translate -f formato -m originale.doc -p XX.po -l XX.doc

dove XX.doc è l'output e tutti gli altri sono input.

DESCRIZIONE
Lo scopo del progetto po4a (PO for anything - PO per tutto) è di facilitare la traduzione e, cosa ancor più interessante, la manutenzione delle traduzioni usando gettext e i relativi strumenti in campi in cui il loro uso non era programmato, come la documentazione.

Il programma po4a-translate si occupa di riconvertire la traduzione (che si trova in un file PO) nel formato d'origine. Il file PO fornito deve essere la traduzione del file POT prodotto da po4a-gettextize(1).

OPZIONI

-f, --format
    Formato del documento in questione. L'opzione --help-format mostra l'elenco dei formati disponibili.

-a, --addendum
    Aggiunge un file al documento risultante; utile per inserire, ad esempio, il nome del traduttore e altre informazioni sulla traduzione. La prima riga del file da inserire deve contenere l'header PO4A, che indica dove aggiungere il file; vedere anche la sezione Come si aggiunge del testo extra in po4a(7).

-A, --addendum-charset
    Set di caratteri degli addenda. Tutti gli addenda devono usare la stessa codifica.

-m, --master
    File contenente il documento originale da tradurre.

-M, --master-charset
    Set di caratteri del file contenente il documento da tradurre.

-l, --localized
    File su cui scrivere il documento tradotto.

-L, --localized-charset
    Set di caratteri del file contenente il documento tradotto.

-p, --po
    File da cui leggere il catalogo messaggi.

-o, --option
    Opzioni extra da passare al plugin di formato. Specifica ogni opzione nel formato 'nome=valore'. Vedere la documentazione per ogni plugin per ulteriori informazione sulle opzioni valide e sul loro significato.

-k, --keep
    Minima percentuale di traduzione richiesta affinché il file generato sia conservato e scritto su disco. Il valore predefinito è 80, vale a dire che una traduzione viene accettata solo se è completa almeno per l'80%.

-w, --width
    Colonna a cui mandare a capo il file risultante.

-h, --help
    Mostra un breve messaggio di aiuto.

--help-format
    Elenca i formati di documento gestiti da po4a.

-V, --version
    Mostra la versione del programma ed esce.

-v, --verbose
    Rende il programma più prolisso.

-d, --debug
    Mostra delle informazioni di debug

Aggiungere contenuti (oltre alle traduzioni) ai file generati
Per inserire dei contenuti aggiuntivi nel documento generato (come il nome del traduttore e altre informazioni sulla traduzione), usare l'opzione --addendum.

La prima riga dell'addendum deve contenere un header, che indica la posizione in cui va inserito (può essere prima o dopo una determinata parte del documento). Il resto del file viene copiato testualmente nel documento, senza ulteriori manipolazioni.

Osservare che, se po4a-translate non riesce ad aggiungere anche uno solo dei file specificati, la traduzione viene scartata completamente: il file mancante potrebbe contenere il nome del traduttore e questo impedirebbe agli utenti di contattarlo per segnalare errori nella traduzione).

L'header deve seguire una sintassi piuttosto rigida. Vedere anche la pagina di manuale po4a(7) per maggiori informazioni sull'uso degli addenda.

VEDERE ANCHE
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUZIONE
 Danilo Piazzalunga <danilopiazza@libero.it>
 Marco Ciampa <ciampix@libero.it>

COPYRIGHT E LICENZA
Copyright © 2002-2012 by SPI, inc.

Questo programma è software libero; è lecito ridistribuirlo o modificarlo secondo i termini della licenza GPL (vedere il file COPYING).